ゲーム作成・実行スクリプト「NScripter」にバッファオーバーフローの脆弱性(JVN) | ScanNetSecurity
2021.04.19(月)

ゲーム作成・実行スクリプト「NScripter」にバッファオーバーフローの脆弱性(JVN)

IPAおよびJPCERT/CCは、高橋直樹氏が提供するゲームの作成、実行用のスクリプトエンジン「NScripter」にバッファオーバーフローの脆弱性が存在すると「JVN」で発表した。

脆弱性と脅威 セキュリティホール・脆弱性
独立行政法人 情報処理推進機構(IPA)および一般社団法人 JPCERT コーディネーションセンター(JPCERT/CC)は9月2日、高橋直樹氏が提供するゲームの作成、実行用のスクリプトエンジン「NScripter」にバッファオーバーフローの脆弱性が存在すると「Japan Vulnerability Notes(JVN)」で発表した。CVSSによる最大Base Scoreは6.8。

「NScripter Ver3.00 より前のバージョン」および「NScripter Ver3.00 より前のバージョンで作成されたゲーム」には、セーブデータの読み込み処理に起因するバッファオーバーフローの脆弱性(CVE-2015-2991)が存在する。この脆弱性が悪用されると、細工されたセーブデータを読み込むことで、任意のコードを実行される可能性がある。JVNでは、NScripterを使用したゲームの開発者に対しては、NScripterを最新版へアップデートし、当該ゲームをリビルドする。当該ゲームのユーザは、ゲーム開発者が提供する情報をもとに最新版へアップデートするよう呼びかけている。
《吉澤 亨史( Kouji Yoshizawa )》

関連記事

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

カテゴリ別新着記事

★★会員限定記事、週 1 回のメルマガ、人気ニュースランキング、特集一覧をお届け…無料会員登録はアドレスのみで所要 1 分程度 ★★
★★会員限定記事、週 1 回のメルマガ、人気ニュースランキング、特集一覧をお届け…無料会員登録はアドレスのみで所要 1 分程度 ★★

登録すれば、記事一覧、人気記事ランキング、BASIC 会員限定記事をすべて閲覧できます。毎週月曜朝には一週間のまとめメルマガをお届けします(BASIC 登録後 PREMIUM にアップグレードすれば全ての限定コンテンツにフルアクセスできます)。

×